Subject: Re: bug#2388: 23.0.90; wrong-type-argument in vc-dir

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 20 Feb 2009 08:12:15 -0800 (PST)

robert <[email-masked]> writes:

  > If I run vc-dir in a svn controlled directory called 'Test Networks'
  > (with the internal space but not the quotes!), I get a wrong-type-argument
  > error, with the following traceback - 
  > 
  > Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
  >   ewoc-data(nil)
  >   vc-dir-node-directory(nil)
  > 
  > when I don't have debug-on-error set to t the *vc-dir* process never
  > completes.

I can't reproduce this.
Can you please post step by step recipe of how you get this, starting
with emacs -Q. 
The output of 
svn -u status
in that directory might be helpful too.